Page MenuHomePhabricator

Options: 'Cancel' button does not cancel entered values and applies 'Show the Table of Contents' immediately(?)
Closed, ResolvedPublic1 Story Points

Description

Found in betalabs, test2, and production.

  1. Open a page in VE - click on the sandwich button - Options.
  2. Go to 'Page settings' or to 'Advanced settings' - modify previously saved settings there: check/uncheck boxes, enter something into available fields etc.
  1. click 'Cancel' - the Options box will be closed. When you re-open it - the settings that you've just entered and Cancel still are displayed.

The most visible case - click on one of the tabs for 'Show the Table of Contents' - click on 'Cancel', but the action takes place anyway.

"Canceled" settings will be applied upon saving the page.

Note: other Cancel buttons(template, media etc) - they work as expected.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUnbreak meta dialog cancel button

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 6:42 PM
Jdforrester-WMF renamed this task from Options: 'Cancel' button does not cancel entered values to Options: 'Cancel' button does not cancel entered values and applies 'Show the Table of Contents' immediately(?).Apr 30 2015, 6:43 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set Security to None.
Krenair raised the priority of this task from Medium to High.Jul 30 2015, 11:14 PM
Krenair added a subscriber: Krenair.

Change 228174 had a related patch set uploaded (by Alex Monk):
Unbreak meta dialog cancel button

https://gerrit.wikimedia.org/r/228174

Krenair claimed this task.Jul 30 2015, 11:32 PM
Jdforrester-WMF closed this task as Resolved.Aug 3 2015, 10:41 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.